mod motion;
mod player;
mod spawning;

mod _plugin {
	use bevy::app::App;
	use bevy::prelude::Plugin;

	pub struct EntityPlugin;
	impl Plugin for EntityPlugin {
		fn build(&self, app: &mut App) {
			app.add_startup_system(super::player::spawn_player)
				.add_systems((
					super::player::process_player_input,
					super::motion::apply_velocity,
				));
		}
	}
}

pub use _plugin::EntityPlugin;
pub use motion::Velocity;
pub use player::Player;
pub use spawning::EntitySpawner;
