use bevy::prelude::{App, PluginGroup, Window, WindowPlugin};
use bevy::window::{WindowMode, WindowResolution};
use bevy::DefaultPlugins;

fn main() {
	App::new()
		.add_plugins(DefaultPlugins.set(WindowPlugin {
			primary_window: Some(Window {
				mode: WindowMode::Windowed,
				title: String::from("Shoot: The Revival"),
				resizable: true,
				resolution: WindowResolution::new(1280.0, 800.0),
				fit_canvas_to_parent: true,
				..Default::default()
			}),
			..Default::default()
		}))
		.add_plugin(shoot_the_revival::system::SystemPlugin)
		.add_plugin(shoot_the_revival::entities::EntityPlugin)
		.run();
}
